document.addEventListener('DOMContentLoaded', function() {
  const analyzeBtn = document.getElementById('analyzeBtn');
  const totalSize = document.getElementById('totalSize');
  const fileCount = document.getElementById('fileCount');
  const folderCount = document.getElementById('folderCount');
  const visualization = document.getElementById('visualization');

  // Demo animation
  let size = 0;
  let files = 0;
  let folders = 0;

  function animateStats() {
    const targetSize = 128;
    const targetFiles = 1458;
    const targetFolders = 86;
    
    const sizeInterval = setInterval(() => {
      size += 2;
      if (size >= targetSize) {
        size = targetSize;
        clearInterval(sizeInterval);
      }
      totalSize.textContent = `${size} GB`;
    }, 20);

    const filesInterval = setInterval(() => {
      files += 25;
      if (files >= targetFiles) {
        files = targetFiles;
        clearInterval(filesInterval);
      }
      fileCount.textContent = files.toLocaleString();
    }, 20);

    const foldersInterval = setInterval(() => {
      folders += 2;
      if (folders >= targetFolders) {
        folders = targetFolders;
        clearInterval(foldersInterval);
      }
      folderCount.textContent = folders.toLocaleString();
    }, 20);
  }

  // Smooth scroll for navigation
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Initialize demo
  analyzeBtn.addEventListener('click', () => {
    size = 0;
    files = 0;
    folders = 0;
    animateStats();
    analyzeBtn.disabled = true;
    setTimeout(() => {
      analyzeBtn.disabled = false;
    }, 2000);
  });

  // Initial animation
  setTimeout(animateStats, 1000);
});
